PROGRAM brute_rmo
USE sep
USE brutermo
USE brute_general
IMPLICIT NONE
REAL ,ALLOCATABLE       :: x(:)
 call sep_init()
 call sep_begin_prog()
 call parameters()
 allocate(x(ntot))
 call sa_init()
 call objfcn(x)
 call to_history("n1",ns1,"optrho");call to_history("d1",ds1,"optrho");call to_history("o1",os1,"optrho");
 call to_history("n2",ns3,"optrho");call to_history("d2",ds3,"optrho");call to_history("o2",os3,"optrho");
 call srite("optrho",x,4*ntot)
 call kernel(x)
 call sa_close()
 call sep_end_prog()
STOP
END PROGRAM
